AOZ Studio Beta - Bug #77

probléme avec Atan
01/24/2020 09:32 AM - jonathan thiroux-collard

Status: Closed Start date: 01/24/2020
Priority: Normal Due date:

Assignee: Francois Lionet % Done: 0%
Category: Estimated time: 0:00 hour
Target version: 0.9.3.2

Affected version: 0.9.3.1

Description

La commande Atan ne fonctionne pas avec la version 0.9.3.1

number# = (y-y0)/(x-x0)
angle# = Atan(number#) // error: type mismatch

History

#1 - 01/24/2020 10:09 AM - Francois Lionet
- Status changed from New to Resolved

- Target version set to 0.9.3.2
Fixed!
#2 - 01/27/2020 08:27 PM - Baptiste Pillot

e source : https://www.amos2.fr/ide/Amos2/Ide/Program/447
e run : https://www.amos2.fr/run/tickleman/77/
[ ]
L]

compile result : main.aoz:3:22: error: type mismatch
complete compiler log (0.9.3.1) :

Error during compilation

AOZ Transpiler Version 0.9.3.1 - 21/01/2020

By Francois 'Amos' Lionet (c) AOZ Studio 2019

Website: https://aoz.studio

Support the project on Patreon: http://www.patreon.com/francoislionet
PATH->Z:/home/amos2/compiler/0.9.3.1/languages

Removing directory: /home/amos2/ide/input/tickleman/77/html

Compiling /home/amos2/ide/input/tickleman/77, emulation: PC, speed: fast.

First pass...
main.aoz:3:22: error: type mismatch
{}
Task failed, no code generated...
Waiting for 0.9.3.2 to validate this :).
#3 - 02/01/2020 08:37 AM - Baptiste Pillot

- Status changed from Resolved to Closed

Ok.
